Jump to content

sgl_imaging_challenge_2021_annual.thumb.jpg.3fc34f695a81b16210333189a3162ac7.jpg

How do I identify which Celestron Handset I have?


Recommended Posts

Perhaps A silly question but ho do I identify which Celestron handset I have?

Hand (Small).jpg

Edited by Geoffw
Link to comment
Share on other sites

Looks like the handset I had with my NexStar 4SE - not completely sure as the telescope moved on to a new owner years ago.

Link to comment
Share on other sites

Posted (edited)

Does this confirm it is V4?  My scope is the Celestron NexStar 9.25" GPS, but bought 3rd hand so I do not know if this is the orginals Handset.

H2 (Small).jpg

Edited by Geoffw
Link to comment
Share on other sites

13 minutes ago, Geoffw said:

Does this confirm it is V4?  My scope is the Celestron NexStar 9.25" GPS, but bought 3rd hand so I do not know if this is the orginals Handset.

H2 (Small).jpg

I believe the GPS version would have originally come with a Nexstar+ handset, but my guess is this has been replaced at some point with the version 4 handset which you have there, the port isn't too much of a giveaway as both versions have that port, some of the newer + versions will have usb but not all

 

I'm pretty sure this is the version 4 you have just by the button combination it has, if you look at the manual for the + handset here you'll see the buttons are a bit different - https://nexstarsite.com/download/manuals/NexStar+Addendum.pdf

 

From my own experience the handsets seem interchangeable at least on the cheaper scopes, I have both versions at home and they work on my GT and 4SE mounts

 

 

Link to comment
Share on other sites

3 hours ago, Geoffw said:

Here is the firmware screen under Utilities.  Give me no clue as to the version of the Handset.

 

 

According to this website it is the hand control version prior to version 4 and is not upgradeable (although the mount is). This is the direct link to the GPS info page on the nexstar website linked to above by @doublevodka

Link to comment
Share on other sites

Well Still no definate proof what vesion the handset is.  Seems to be a V4, but when I try to update its firmware I stick on the very first stage. so possibly it isn't. 

One is supposed to hold down the hand control's UNDO and INFO buttons at the same time and turn on the power to the scope. Release the buttons and the hand control should now display "Transmit Data...".  Mine doesn't - it just starts.

 

 

Link to comment
Share on other sites

13 minutes ago, Geoffw said:

Well Still no definate proof what vesion the handset is.  Seems to be a V4, but when I try to update its firmware I stick on the very first stage. so possibly it isn't. 

One is supposed to hold down the hand control's UNDO and INFO buttons at the same time and turn on the power to the scope. Release the buttons and the hand control should now display "Transmit Data...".  Mine doesn't - it just starts.

 

 

The firmware is 2.2 which indicates it is a non-upgradeable handset.

 

Quote
  • Hand control 1.2, 1.6 and 2.2.  Hand controls prior to version 4 can NOT be updated.
  • Hand control version 4.X.  This hand control can be updated by the owner and was available for purchase from January 2006 through summer 2012.  Read this for info on purchasing the upgradeable hand control and this for step by step instructions on upgrading the firmware.

 

  • Thanks 1
Link to comment
Share on other sites

Here's an old video (2013) on updating the firmware, when the chap enters the menu, utilities , firmware version his screen (presumably v4)  us displayed in a totally different format

 

I did find a similar image to yours on steves-astro.com   (forum won't let me link the image for some reason)  http://www.steves-astro.com/images/ns8gps/  but no indication as to what version that is.  

 

 

 

 

 

Link to comment
Share on other sites

2 hours ago, newbie alert said:

IThe nexstar* you can't..  you have to use the HCupdate 

 

th

Which is exactly what I want to do, but it seems handset version before V4 cannot be upgraded.  Sadly there seems no physical indication which version you have of the pre-NexStar+ sets.

Link to comment
Share on other sites

2 hours ago, Geoffw said:

Which is exactly what I want to do, but it seems handset version before V4 cannot be upgraded.  Sadly there seems no physical indication which version you have of the pre-NexStar+ sets.

Some mounts you can upgrade to the nexstar+

Maybe worth contacting celestron

Link to comment
Share on other sites

 

1 hour ago, newbie alert said:

Some mounts you can upgrade to the nexstar+

I demonstrated that my C8 SE would work with the Nexstar* handset (the original), a Nexstar+ handset, and the Starsense handset. 

Dare I ask what the problem is? If the handset works, why the need to upgrade? 

Referring to the foregoing, I suppose we can assume that V2 firmware is not going to be installed in an upgradeable handset.

If you need the functions of the later handset(s), check that it is going to be compatible and then buy one.  

Link to comment
Share on other sites

Posted (edited)
2 hours ago, Cosmic Geoff said:

Dare I ask what the problem is? If the handset works, why the need to upgrade? 

  

Here is the reason!  https://www.nexstarsite.com/OddsNEnds/GPSRollover.htm

Throughout that time, Celestron used GPS receivers from a variety of manufacturers. Some of the receivers are affected by the week rollover and some are not. As of April 2019, the following are known to be affected 

  • CPC mounts manufactured up until sometime in 2012
  • CN-16 modules
  • NexStar 8/11 GPS mounts manufactured after sometime in late 2002, generally shipped with the version 2.2 hand control.  These mounts are actually reporting a date 17 years in the past.
  • NexStar 9.25 GPS mounts.  These mounts are actually reporting a date 17 years in the past.

I've soldiered on setting date/time manually since 2019, but I may be parting with my trusted NexStar GPS 9.25" soon so I feel I should install the update and have the kit working as it should.

Edited by Geoffw
Link to comment
Share on other sites

You could have mentioned the GPS problem. 🙂

You need to read this: Hand Control Compatibility (nexstarsite.com)

The manual for the Nexstar* V4 handset explicitly says that it works with the C9.25 GPS.   Whether you can load the GPS update on it is something you will have to explore.

The Nexstar+ handset may be incompatible with your scope, but a suggested workaround is to load old firmware (definitely not what you want).

And " If your hand control does not have a Version command on the Utilities menu, it is NOT upgradeable. "

Edited by Cosmic Geoff
Link to comment
Share on other sites

Well thanks everyone.  I've got my answer (which is what I suspected) that I have a Handset to early/old to be upgradable, namerly v2.2.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue. By using this site, you agree to our Terms of Use.